Bug 218458 - [NEW PORT] net-p2p/jackett: Torznab proxy
Summary: [NEW PORT] net-p2p/jackett: Torznab proxy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2017-04-07 13:03 UTC by kiwi
Modified: 2017-08-03 16:48 UTC (History)
1 user (show)

See Also:


Attachments
shar (10.82 KB, text/plain)
2017-04-07 13:03 UTC, kiwi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kiwi 2017-04-07 13:03:22 UTC
Created attachment 181566 [details]
shar

This port is a torznab proxy that can be use on several tracket to provice torznab API to system like sonaar 

It use an uid/gid : jackett that have to be taken somewhere in UID (there is no special needs about uid/gid).
Comment 1 kiwi 2017-07-31 11:50:54 UTC
Ping ?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 09:32:41 UTC
Apologies for the delay, someone will get around to this eventually.

In the meantime I can see at least one QA issue on a cursory review:

- Use USE_GITHUB/GH_* variables to fetch things from GitHub. MASTER_SITES/DISTNAME wont be needed once these are set properly. See: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-master_sites-github-description

I also highly recommend running this port through QA (portlint, poudriere) and confirming the results (PASS) here in a comment.

For more information and testing instructions, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

CC feld@ because his name appears in the rc script as Author.
Comment 3 kiwi 2017-08-02 08:24:33 UTC
About USE_GITHUB and Jackett.
Unfortunatly I cannot use this since this "mono" compiled stuff. So I cannot use the sources and compile that.
I use the same kind of port as net-p2p/radarr or net-p2p/sonarr

Portlint is ok "looks fine" :
[root@portsbuild /usr/ports/net-p2p/jackett]# portlint
looks fine.

Unfortunatly I don't have poudriere at home mostly because I don't enough ressources to handle it at my home.

About feld@, it is there because I copied a rc script from radarr that is signed by feld@.

Regards
Comment 4 Mark Felder freebsd_committer 2017-08-03 16:48:12 UTC
committed with minor changes (latest release, reserved UID and GID for jackett)
Comment 5 commit-hook freebsd_committer 2017-08-03 16:48:34 UTC
A commit references this bug:

Author: feld
Date: Thu Aug  3 16:47:32 UTC 2017
New revision: 447248
URL: https://svnweb.freebsd.org/changeset/ports/447248

Log:
  Welcome net-p2p/jackett to the tree

  Jackett works as a proxy server: it translates queries from apps
  (Sonarr, Radarr, SickRage, CouchPotato, Mylar, etc) into
  tracker-site-specific http queries, parses the html response, then sends
  results back to the requesting software. This allows for getting recent
  uploads (like RSS) and performing searches. Jackett is a single
  repository of maintained indexer scraping & translation logic - removing
  the burden from other apps.

  WWW: https://github.com/Jackett/Jackett

  PR:		218458

Changes:
  head/GIDs
  head/UIDs
  head/net-p2p/jackett/
  head/net-p2p/jackett/Makefile
  head/net-p2p/jackett/distinfo
  head/net-p2p/jackett/files/
  head/net-p2p/jackett/files/jackett.in
  head/net-p2p/jackett/pkg-descr
  head/net-p2p/jackett/pkg-plist